import { Controller, Get, Param, Post } from '@nestjs/common';
import { ReplayService } from './replay.service';
import { Roles } from 'src/shared/guard.decorator';

@Controller('replay')
export class ReplayController {
  constructor(private replayservice: ReplayService) {}

  @Get(':id')
  async replayInfo(@Param('id') gameId) {
    return this.replayservice.replayData(gameId);
  }

  @Post('mockdata/:id')
  async mockData(@Param('id') gameId) {
    return this.replayservice.mockdata(gameId);
  }

  @Get('players/:id')
  async getPlayers(@Param('id') gameId) {
    return this.replayservice.getPlayers(gameId);
  }
}
