import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';

import { ReplayController } from './replay.controller';
import { ReplayService } from './replay.service';
import { GameEntity, Game_PersonEntity } from '../game/game.entity';
import { FactionEntity, GameGroupEntity } from '../faction/faction.entity';
import { UserService } from '../user/user.service';
import { FactionService } from '../faction/faction.service';
import { TrackingService } from '../tracking/tracking.service';
import { TrackingEntity } from 'src/tracking/tracking.entity';
import { PersonEntity } from 'src/user/user.entity';
import { NotificationModule } from 'src/notifications/notifications.module';

@Module({
  imports: [
    TypeOrmModule.forFeature([
      PersonEntity,
      GameEntity,
      FactionEntity,
      TrackingEntity,
      GameGroupEntity,
      Game_PersonEntity,
    ]),
    NotificationModule,
  ],
  controllers: [ReplayController],
  providers: [ReplayService, UserService, FactionService, TrackingService],
})
export class ReplayModule {}
